/*	Public domain	*/

typedef struct sg_geom {
	struct sg_node _inherit;
	Uint flags;
#define SG_GEOM_SAVED	0
	M_Real wd;		/* Line Width */
	M_Color c;		/* Line Color */
	int stFactor;		/* Stipple Factor */
	Uint16 stPat;		/* Stipple Pattern */
} SG_Geom;

#define SGGEOM(n) ((SG_Geom *)(n))

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SG_NodeClass sgGeomClass;
extern DECLSPEC SG_Geom *SG_GeomNew(void *, const char *, M_Geom3);
extern DECLSPEC void SG_GeomColor(SG_Geom *, M_Color);
extern DECLSPEC void SG_GeomLineWidth(SG_Geom *, M_Real);
extern DECLSPEC void SG_GeomLineStipple(SG_Geom *, int, Uint16);
extern DECLSPEC void SG_GeomDrawBegin(const SG_Geom *);
#define SG_GeomDrawEnd(geom) GL_PopAttrib()
__END_DECLS
/* Close generated block */
