/*	Public domain	*/

#define SG_MAJOR_VERSION	1
#define SG_MINOR_VERSION	0
#define SG_PATCHLEVEL		0

typedef struct sg_version {
	int major;
	int minor;
	int patch;
	const char *release;
} SG_Version;

#define SG_VERSION_NUM(X,Y,Z) ((X)*1000 + (Y)*100 + (Z))
#define SG_COMPILED_VERSION SG_VERSION_NUM(SG_MAJOR_VERSION, SG_MINOR_VERSION, SG_PATCHLEVEL)
#define SG_VERSION_ATLEAST(X,Y,Z) (SG_COMPILED_VERSION >= SG_VERSION_NUM(X, Y, Z))

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC void SG_GetVersion(SG_Version *);
__END_DECLS
/* Close generated block */
