/*	Public domain	*/

typedef struct sk_group {
	struct sk_node _inherit;
	SK_Node **nodes;
	Uint     nNodes;
	M_Color  color;
} SK_Group;

#define SKGROUP(n) ((SK_Group *)(n))

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SK_NodeOps skGroupOps;
extern DECLSPEC SK_Group *SK_GroupNew(void *);
extern DECLSPEC void SK_GroupInit(void *, Uint);
extern DECLSPEC int SK_GroupLoad(SK *, void *, AG_DataSource *);
extern DECLSPEC int SK_GroupSave(SK *, void *, AG_DataSource *);
extern DECLSPEC void SK_GroupEdit(void *, struct ag_widget *, struct sk_view *);
extern DECLSPEC void SK_GroupColor(SK_Group *, M_Color);
__END_DECLS
/* Close generated block */
