/*	Public domain	*/

#ifndef _FREESG_SK_GUI_H_
#define _FREESG_SK_GUI_H_

#include <agar/math.h>
#include <freesg/sg/icons.h>
#include <freesg/sk/sk_view.h>

#include <freesg/sk/begin.h>
/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC AG_Object skVfsRoot; 
extern DECLSPEC void SK_InitGUI(void);
extern DECLSPEC void SK_DestroyGUI(void);
extern DECLSPEC void SK_FileMenu(AG_MenuItem *, void *);
extern DECLSPEC void SK_EditMenu(AG_MenuItem *, void *);
extern DECLSPEC AG_Window *SK_GUI_OpenObject(void *);
extern DECLSPEC void SK_GUI_NewObject(AG_Event *);
extern DECLSPEC int SK_GUI_LoadObject(AG_Event *);
extern DECLSPEC void SK_GUI_ImportObjectDlg(AG_Event *);
extern DECLSPEC void SK_GUI_OpenDlg(AG_Event *);
extern DECLSPEC void SK_GUI_SaveAsDlg(AG_Event *);
extern DECLSPEC void SK_GUI_Save(AG_Event *);
extern DECLSPEC void SK_GUI_Quit(AG_Event *);
extern DECLSPEC void SK_GUI_Undo(AG_Event *);
extern DECLSPEC void SK_GUI_Redo(AG_Event *);
extern DECLSPEC void SK_GUI_EditPreferences(AG_Event *);
extern DECLSPEC void SK_GUI_SelectFontDlg(AG_Event *);
__END_DECLS
/* Close generated block */
#include <freesg/sk/close.h>

#endif /* _FREESG_SK_GUI_H_ */
