/*	Public domain	*/

typedef struct sk_point {
	struct sk_node node;
	Uint flags;
	M_Real size;			/* Display size in pixels */
	M_Color color;			/* Display color */
} SK_Point;

#define SKPOINT(n) ((SK_Point *)(n))

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SK_NodeOps skPointOps;
extern DECLSPEC SK_Point *SK_PointNew(void *);
extern DECLSPEC void SK_PointInit(void *, Uint);
extern DECLSPEC int SK_PointLoad(SK *, void *, AG_DataSource *);
extern DECLSPEC int SK_PointSave(SK *, void *, AG_DataSource *);
extern DECLSPEC void SK_PointDraw(void *, struct sk_view *);
extern DECLSPEC void SK_PointDrawAbsolute(void *, struct sk_view *);
extern DECLSPEC void SK_PointEdit(void *, struct ag_widget *, struct sk_view *);
extern DECLSPEC M_Real SK_PointProximity(void *, const M_Vector3 *, M_Vector3 *);
extern DECLSPEC int SK_PointDelete(void *);
extern DECLSPEC int SK_PointMove(void *, const M_Vector3 *, const M_Vector3 *);
extern DECLSPEC SK_Status SK_PointConstrained(void *);
extern DECLSPEC void SK_PointSize(SK_Point *, M_Real);
extern DECLSPEC void SK_PointColor(SK_Point *, M_Color);
__END_DECLS
/* Close generated block */
