/*	Public domain	*/

typedef struct sg_voxel {
	struct sg_node _inherit;
	int w, h, d;
	M_Real ***map;			/* Array of cells */
} SG_Voxel;

__BEGIN_DECLS
extern SG_NodeClass sgVoxelClass;

SG_Voxel *SG_VoxelNew(void *, const char *);
void      SG_VoxelAlloc3(SG_Voxel *, Uint, Uint, Uint);
void      SG_VoxelReset(SG_Voxel *, M_Real);
int       SG_VoxelSet3(SG_Voxel *, int, int, int, M_Real);
__END_DECLS
