/*	Public domain	*/

#ifndef _FREESG_CG_PROGRAM_H_
#define _FREESG_CG_PROGRAM_H_

#include <freesg/config/have_cg.h>
#ifdef HAVE_CG

#include <Cg/cg.h>
#include <Cg/cgGL.h>

typedef struct sg_cg_program {
	struct sg_program _inherit;
	enum {
		SG_VERTEX_PROGRAM,
		SG_FRAGMENT_PROGRAM
	} type;
	CGprogram *objs;		/* All compiled programs */
	Uint nObjs;
	CGprogram instObj;		/* Installed program */
	CGprofile instProf;		/* Installed program profile */
} SG_CgProgram;

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SG_ProgramClass sgCgProgramClass;
extern DECLSPEC CGcontext sgCgProgramCtx;
extern DECLSPEC SG_CgProgram *SG_CgProgramNew(void *, const char *);
__END_DECLS
/* Close generated block */

#endif /* HAVE_CG */
#endif /* _FREESG_CG_PROGRAM_H_ */
