/*	Public domain	*/

typedef struct sg_voxel {
	struct sg_node _inherit;
	int w, h, d;
	M_Real ***map;			/* Array of cells */
} SG_Voxel;

/* Begin generated block */
__BEGIN_DECLS
extern DECLSPEC SG_NodeClass sgVoxelClass;
extern DECLSPEC SG_Voxel *SG_VoxelNew(void *, const char *);
extern DECLSPEC void SG_VoxelAlloc3(SG_Voxel *, Uint, Uint, Uint);
extern DECLSPEC void SG_VoxelReset(SG_Voxel *, M_Real);
extern DECLSPEC int SG_VoxelSet3(SG_Voxel *, int, int, int, M_Real);
__END_DECLS
/* Close generated block */
