/*	Public domain	*/

typedef struct sk_group {
	struct sk_node _inherit;
	SK_Node **nodes;
	Uint     nNodes;
	M_Color  color;
} SK_Group;

#define SKGROUP(n) ((SK_Group *)(n))

__BEGIN_DECLS
extern SK_NodeOps skGroupOps;

SK_Group *SK_GroupNew(void *);
void	  SK_GroupInit(void *, Uint);
int	  SK_GroupLoad(SK *, void *, AG_DataSource *);
int	  SK_GroupSave(SK *, void *, AG_DataSource *);
void	  SK_GroupEdit(void *, struct ag_widget *, struct sk_view *);
void	  SK_GroupColor(SK_Group *, M_Color);
__END_DECLS
